function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
import { defineComponent, $prefix, $props, $setup } from "@xmweb-ui/vue-common";
import PcTemplate from "./pc.js";
import "@xmweb-ui/vue-theme/floatbar/index.css";
var template = function template2(mode) {
  return PcTemplate;
};
var Floatbar = defineComponent({
  name: $prefix + "Floatbar",
  props: _extends({}, $props),
  setup: function setup(props, context) {
    return $setup({
      props,
      context,
      template
    });
  }
});
var version = "3.8.0";
Floatbar.install = function(Vue) {
  Vue.component(Floatbar.name, Floatbar);
};
Floatbar.version = version;
export {
  Floatbar as default
};
